Loading...
Searching...
No Matches
Dune::PolyhedralGridEntityBasic< codim, dim, Grid > Class Template Reference

More...

`#include <entity.hh>`

Inheritance diagram for Dune::PolyhedralGridEntityBasic< codim, dim, Grid >:

## Public Member Functions

bool | equals (const PolyhedralGridEntityBasic &other) const

## Protected Types

typedef std::remove_const< Grid >::type::Traits | Traits
typedef Traits::ExtraData | ExtraData

## Protected Attributes

ExtraData | data_
EntitySeed | seed_

## Types Required by DUNE

typedef Traits::ctype | ctype
| coordinate type of the grid
typedef Traits::Index | Index
typedef Grid::template Codim< codimension >::Entity | Entity
| type of entity
typedef Grid::template Codim< codimension >::EntitySeed | EntitySeed
| type of corresponding entity seed
typedef Traits::template Codim< codimension >::Geometry | Geometry
| type of corresponding geometry
typedef Traits::template Codim< codimension >::GeometryImpl | GeometryImpl

## Attributes

static const int | codimension = codim
| codimensioon of the entity
static const int | dimension = Traits::dimension
| dimension of the grid
static const int | mydimension = dimension - codimension
| dimension of the entity
static const int | dimensionworld = Traits::dimensionworld
| dimension of the world

## Construction, Initialization and Destruction

| PolyhedralGridEntityBasic ()
| construct a null entity
| PolyhedralGridEntityBasic (ExtraData data)
| construct a null entity with data pointer
| PolyhedralGridEntityBasic (ExtraData data, const EntitySeed &seed)
| construct an initialized entity

## Methods Shared by Entities of All Codimensions

GeometryType | type () const
| obtain the name of the corresponding reference element
int | level () const
| obtain the level of this entity
PartitionType | partitionType () const
| obtain the partition type of this entity
Geometry | geometry () const
| obtain the geometry of this entity
EntitySeed | seed () const
| return EntitySeed

## Methods Supporting the Grid Implementation

ExtraData | data () const
Index | index () const

## Detailed Description

template<int codim, int dim, class Grid>
class Dune::PolyhedralGridEntityBasic< codim, dim, Grid >

## Member Function Documentation

## type()

template<int codim, int dim, class Grid>

GeometryType Dune::PolyhedralGridEntityBasic< codim, dim, Grid >::type | ( |  | ) | const

inline

obtain the name of the corresponding reference element

This type can be used to access the DUNE reference element.

The documentation for this class was generated from the following file:

- opm/grid/polyhedralgrid/entity.hh